ZeedhiApp.directive('odhNutriComparison', function(){
	return {
		 compile: function compile(tElement, tAttrs, transclude) {
			return {
				pre: function preLink(scope, elem, attr, controller) { },
				post: function postLink(scope, elem, attr, controller) {
					scope.$watch('widget.dataSource.data', function(newValue, oldValue) {
						//Filling progress bar
						if(newValue !== undefined && newValue.length !== 0){
							elem.parent()[0].style.display = "initial"; //container
							elem.children()[0].style.display = "block"; //span
							newValue.forEach(function(item, index){
								let docElementContainer = elem.children()[index+1];
								let angularElementContainer = angular.element(docElementContainer)[0];
								let docContainerChild = angularElementContainer.children[1];
								let angularContainerChild = angular.element(docContainerChild)[0];
								angularContainerChild.children.comparison.style.width = item.mediumPercentage + '%';
							});
						} else {
							elem.parent()[0].style.display = "none"; //container
							elem.children()[0].style.display = "none"; //span
						}
				    });
				}
			}
		}
	};
});
